package com.huigou.topsun.ep.order.application;


import com.huigou.topsun.ep.order.domain.EpSaleOrderCancel;
import com.huigou.topsun.ep.order.domain.query.EpSaleOrderCancelQueryRequest;
import com.huigou.topsun.ep.order.domain.vo.EpSaleOrderCancelVo;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/03/12/19:13
 * @Description:
 */
public interface EpSaleOrderCancelApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/ep/epSaleOrder/epSaleOrderCancel.xml";
    public static final String QUERY_XML_FILE_PATH2 = "config/topsun/ep/epSaleOrder/epSaleOrder.xml";

    String PROCESS_DEFINITION_KEY = "epSaleOrderCancelProc";

    EpSaleOrderCancel findEpSaleOrderCancelById(String id);

    void deleteEpSaleOrderCancelById(List<String> ids);

    void updateEpSaleOrderCancel(EpSaleOrderCancel epSaleOrderCancel);

    EpSaleOrderCancel saveEpSaleOrderCancel(EpSaleOrderCancel epSaleOrderCancel);

    Map<String, Object> slicedEpSaleOrderCancelList(EpSaleOrderCancelQueryRequest queryRequest);

    void saveEpSaleOrderCancelVo(List<EpSaleOrderCancelVo> epSaleOrderCancelVos);
}
